using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace VolumeViewer
{
    class Controller
    {
        static public NGVVMain Appwindow;
        static public Volume volume; 
        static protected Controller _Controller = null; 
        static public Controller controller
        {
            get{
                 return Controller._Controller; 
               }        
        }

        public Controller()
        {
            Controller._Controller = this; 
        }

        static public string CurrentMode = "8-bit";

        

        /// <summary>
        /// If this is true we remember the last transform used for each section and switch to that transform if we display that section
        /// If false we use the transform from the last section we viewed if it is available. 
        /// </summary>
        public static bool UseSectionSpecificTransform = false;

        /// <summary>
        /// Set to true if we want to display the transform mesh used to create the image
        /// </summary>
        public static bool ShowMesh = false;
    }
}
