#!/bin/sh

chmod a+r *.?xx *.?pp *.h *.?pp *.c *.CC Makefile *.sh *.m *.txt *.bat

if [ ! -d .. ]; then
    echo cannot step into parent directory, aborting...
    exit 1
else
    cd ..
fi

NAME=ir-tools/tarballs/`date +"%Y%m%d-%H%M"`.tar

if [ ! -d ir-tools/tarballs ]; then
    mkdir ir-tools/tarballs
fi

tar chf "${NAME}" \
ir-tools/Makefile \
ir-tools/*.bat \
ir-tools/*.sh \
ir-tools/CMakeLists.txt \
ir-tools/*.?xx \
ir-tools/*.h \
ir-tools/*.?pp \
ir-tools/*.c \
ir-tools/*.cc \
ir-tools/*.C
bzip2 -9 "${NAME}"
