#!/bin/sh

touch *.pro
rm -rf *.app trail-????.txt .dont_record.txt

chmod a+r *.pro *.qrc *.?xx *.?pp *.ui *.h *.?pp *.c *.CC Makefile *.pro *.sh *.m *.txt *.png *.obj *.bat *.rc *.ico *.icns

if [ ! -d .. ]; then
    echo cannot step into parent directory, aborting...
    exit 1
else
    cd ..
fi

NAME=iv/tarballs/`date +"%Y%m%d-%H%M"`.tar

if [ ! -d iv/tarballs ]; then
    mkdir iv/tarballs
fi

tar chf "${NAME}" \
iv/*.?xx \
iv/*.h \
iv/*.?pp \
iv/*.sh \
iv/*.ui \
iv/Makefile \
iv/*.pro \
iv/*.qrc \
iv/*.ico \
iv/*.icns \
iv/*.rc \
iv/*.c \
iv/*.cc \
iv/*.C \
iv/*.bat \
iv/RAD \
iv/images
bzip2 -9 "${NAME}"
