import sys;
import os;
import glob;
import shutil;

print "Removes a specified string from all files matching an expression";
print sys.argv[0] + " <path> <removestring> <matchstring>"; 

Path = os.path.abspath(sys.argv[1]);
print Path;

if os.path.exists(Path) == False:
        print "No valid path provided as first argument"
        exit;

StartingPath = os.getcwd();
os.chdir(Path);

removestring = sys.argv[2];
print removestring;

matchstring = sys.argv[3];
print matchstring;

files = glob.glob(os.path.join(Path, matchstring));

for f in files:
    filename = os.path.basename(f);
    newfilename = filename.replace(removestring, "");

    shutil.move(filename, newfilename); 

os.chdir(StartingPath); 
