// -*- Mode: c++; tab-width: 8; c-basic-offset: 2; indent-tabs-mode: t -*-
// NOTE: the first line of this file sets up source code indentation rules
// for Emacs; it is also a hint to anyone modifying this file.

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// File         : the_fltk_trail.hxx
// Author       : Pavel A. Koshevoy
// Created      : 2001/06/24 16:47:24
// Copyright    : (C) 2004-2008 University of Utah
// License      : GPLv2
// Description  : non-functioning event trail recoring/playback mechanism
//                implemented as a compatibility layer for code that
//                requires it.

#ifndef THE_FLTK_TRAIL_HXX_
#define THE_FLTK_TRAIL_HXX_

// local includes:
#include "ui/the_trail.hxx"


//----------------------------------------------------------------
// the_fltk_trail_t
//
class the_fltk_trail_t : public the_trail_t
{
public:
  the_fltk_trail_t(int & argc, char ** argv, bool record_by_default = false);
};


#endif // THE_FLTK_TRAIL_HXX_
