// -*- Mode: c++; tab-width: 8; c-basic-offset: 2; indent-tabs-mode: t -*-
// NOTE: the first line of this file sets up source code indentation rules
// for Emacs; it is also a hint to anyone modifying this file.

/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// File         : the_modifier.hxx
// Author       : Pavel A. Koshevoy
// Created      : Sun Sep 21 15:46:36 MDT 2002
// Copyright    : (C) 2004-2008 University of Utah
// License      : GPLv2
// Description  : Identifiers for a common set of modifier key and mouse
//                button combinations.

#ifndef THE_MODIFIER_HXX_
#define THE_MODIFIER_HXX_

//----------------------------------------------------------------
// the_modifier_t
//
// modifiers used by different tools:
// 
typedef enum
{
  THE_EH_MOD_NONE_E,
  THE_EH_MOD_VIEW_SPIN_E,
  THE_EH_MOD_VIEW_ZOOM_E,
  THE_EH_MOD_VIEW_PAN_E,
  THE_EH_MOD_VIEWING_E,
  THE_EH_MOD_PICK_E,
  THE_EH_MOD_PICK_TOGGLE_E,
  THE_EH_MOD_DRAG_E,
  THE_EH_MOD_DRAG_LOCK_HV_E,
  THE_EH_MOD_DRAG_LOCK_NORMAL_E,
  THE_EH_MOD_CURVE_EXTEND_E,
  THE_EH_MOD_CURVE_SKETCH_E,
  THE_EH_MOD_CURVE_FINISH_E,
  THE_EH_MOD_POINT_SNAP_E,
  THE_EH_MOD_GRID_START_E,
  THE_EH_MOD_GRID_EXTEND_E
} the_eh_modifier_t;


#endif // THE_MODIFIER_HXX_
